QPlatinumStyle(3qt)

NAME
QPlatinumStyle - Mac/Platinum look and feel

SYNOPSIS
#include <qplatinumstyle.h>

Inherits QWindowsStyle.

  Public Members
QPlatinumStyle ()

  Protected Members
QColor mixedColor ( const QColor & c1, const QColor & c2 ) const
void drawRiffles ( QPainter * p, int x, int y, int w, int h, const QColorGroup & g, bool horizontal ) const

DESCRIPTION
The QPlatinumStyle class provides Mac/Platinum look and feel.

This class implements the Platinum look and feel. It's an experimental class that tries to resemble a Macinosh-like GUI style with the QStyle system. The emulation is, however, far from being perfect yet.

See also Widget Appearance and Style.

MEMBER FUNCTION DOCUMENTATION

QPlatinumStyle::QPlatinumStyle ()
Constructs a QPlatinumStyle

void QPlatinumStyle::drawRiffles ( QPainter * p, int x, int y, int w, int h, const QColorGroup & g, bool horizontal ) const [protected]
Draws the nifty Macintosh decoration used on sliders using painter p and colorgroup g. x, y, w, h and horizontal specify the geometry and orientation of the riffles.

QColor QPlatinumStyle::mixedColor ( const QColor & c1, const QColor & c2 ) const [protected]
Mixes two colors c1 and c2 to a new color.

SEE ALSO
http://doc.trolltech.com/qplatinumstyle.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qplatinumstyle.3qt) and the Qt version (3.0.5).